class CreateAddresses < ActiveRecord::Migration
  def self.up
    create_table :addresses do |t|
      t.column :last_name, :string
      t.column :first_name, :string
      t.column :last_name_kana, :string
      t.column :first_name_kana, :string
      t.column :zip, :string, :limit => 8
      t.column :prefecture, :string
      t.column :address1, :string
      t.column :address2, :string
      t.column :tel, :string
      t.column :fax, :string
      t.column :mail, :string
      t.column :web, :string
      t.column :note, :text
      t.column :lat, :float
      t.column :lng, :float

      t.column :station1_name, :string
      t.column :station1_lng, :float
      t.column :station1_lat, :float

      t.column :station2_name, :string
      t.column :station2_lng, :float
      t.column :station2_lat, :float

      t.column :station3_name, :string
      t.column :station3_lng, :float
      t.column :station3_lat, :float

      t.column :station4_name, :string
      t.column :station4_lng, :float
      t.column :station4_lat, :float

      t.column :station5_name, :string
      t.column :station5_lng, :float
      t.column :station5_lat, :float

      t.column :created_at, :datetime
      t.column :updated_at, :datetime
    end
  end

  def self.down
    drop_table :addresses
  end
end
