class CreateBooks < ActiveRecord::Migration
  def self.up
    create_table :books do |t|
      t.column :isbn, :string
      t.column :title, :string
      t.column :author, :string
      t.column :publisher, :string
      t.column :bought_at, :date
      t.column :comment, :text
      t.column :amazon, :string
      t.column :amazon_rank, :string
      t.column :smallimage, :string
      t.column :mediumimage, :string
      t.column :largeimage, :string

      t.column :created_at, :datetime
      t.column :updated_at, :datetime
    end
  end

  def self.down
    drop_table :books
  end
end
